Contents
Index 🔎︎

# FileAttr Function

Haalata gahinsaa deebisi ykn lakkofsa gahiinsa faayilii kan hima banaa dhaan banamu.Lakkofsi gahiinsa faayilii sirna dalagaa (OSH= Qabannoo sirna dalagaa)

Sirna dalagaa laklamee 32 yoo fayyadamte,ga'uumsa lakkoofsaa faayilii murteessuuf faankishinii FileAttr fayyadamuu hin dandeesssu.

Kanas ilaali: Bani

### Syntax:

    FileAttr (FileNumber As Integer, Attribute As Integer)

### Return value:

intergaa

### Parameters:

Lakkofsa faayilii: Hamma faayilii baname hima baneme wajjin.

Amaloota: Himamsa itergaa kan odeeffannoo faayilii deebisuu barbaaddee agarsiisu .Gatiiwwan armaan gadii ni danda'amu.

1: Faankishiniin FileAttr jedhamu haalata ga'uumsa faayilii agarsiisa.

Faankishiniin FileAttr jedhamu sirna dalagaa gah'uumsa lakkoofsaa deebisa.

Yoo amaloota ulaagaalee gatii 1 ibsite, gatiin armaan kanaa gadii fayyadamee deebisa.

1 - INPUT (faayilii naqaaf banamu)

2 - OUTPUT (faayilii bahaaf banamu)

4 - RANDOM (faayilii gahiinsa darbee darbee banamuu )

8 - APPEND (faayilii miiltessaaf baname)

32 - BINARY (faayilii haalata lameetiin baname).

### Error codes:

5 Ejjatoo fashalaan waamu

52 Maqaa faayiylii yookiin lakkoofsa yaraa

### Example:

    Sub ExampleFileAttr
        Dim iNumber As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Maxxansa #iNumber, "Kun Sarara barruuti"
        MsgBox FileAttr(#iNumber, 1), 0, "Access mode"
        MsgBox FileAttr(#iNumber, 2), 0, "File attribute"
        Close #iNumber
    End Sub

Matadureewwan Walfakkatan

Close Statement

FreeFile Function

Open Statement

Print# Statement